=== debian/changelog ===
modules (5.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Nov 2022 12:30:26 +0000
