## modules 5.3.0

=== Makefile ===
--- 
+++ 
@@ -133,19 +133,29 @@
 else
 # build version.inc shared definitions from git repository info
 ifeq ($(wildcard .git) $(wildcard version.inc.in),.git version.inc.in)
-GIT_CURRENT_TAG := $(shell git describe --tags --abbrev=0)
-GIT_CURRENT_DESC := $(shell git describe --tags)
+GIT_CURRENT_TAG := $(shell git describe --tags --abbrev=0 2>/dev/null)
+GIT_CURRENT_DESC := $(shell git describe --tags 2>/dev/null)
 GIT_CURRENT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD)
 
 MODULES_RELEASE := $(subst v,,$(GIT_CURRENT_TAG))
-MODULES_BUILD_DATE := $(shell git log -1 --format=%cd --date=short)
-ifeq ($(GIT_CURRENT_TAG),$(GIT_CURRENT_DESC))
+ifeq ($(MODULES_RELEASE),)
+# load raw version information to get MODULES_RELEASE as git repository does
+# not contain enough info (checked out repository depth too short)
+include version.inc.in
+GIT_CURRENT_COMMIT := $(shell git rev-parse --short=8 HEAD)
+ifeq ($(GIT_CURRENT_BRANCH),main)
+MODULES_BUILD := +XX-g$(GIT_CURRENT_COMMIT)
+else
+MODULES_BUILD := +$(GIT_CURRENT_BRANCH)-XX-g$(GIT_CURRENT_COMMIT)
+endif
+else ifeq ($(GIT_CURRENT_TAG),$(GIT_CURRENT_DESC))
 MODULES_BUILD :=
 else ifeq ($(GIT_CURRENT_BRANCH),main)
 MODULES_BUILD := +$(subst $(GIT_CURRENT_TAG)-,,$(GIT_CURRENT_DESC))
 else
 MODULES_BUILD := +$(GIT_CURRENT_BRANCH)$(subst $(GIT_CURRENT_TAG),,$(GIT_CURRENT_DESC))
 endif
+MODULES_BUILD_DATE := $(shell git log -1 --format=%cd --date=short)
 
 else
 # load raw version information
@@ -409,12 +419,3 @@
 	-e 's|@SHLIB_SUFFIX@|$(SHLIB_SUFFIX)|g' \
 	-e 's|@multilibsupport@|$(setmultilibsupport)|g' \
 	-e 's|@notmultilibsupport@|$(setnotmultilibsupport)|g' \
-	-e 's|@VERSIONING@|$(setversioning)|g' \
-	-e 's|@NOTVERSIONING@|$(setnotversioning)|g' \
-	-e 's|@setbinpath@|$(setsetbinpath)|g' \
-	-e 's|@appendbinpath@|$(setappendbinpath)|g' \
-	-e 's|@setmanpath@|$(setsetmanpath)|g' \
-	-e 's|@appendmanpath@|$(setappendmanpath)|g' \
-	-e 's|@usemanpath@|$(setusemanpath)|g' \
-	-e 's|@notusemanpath@|$(setnotusemanpath)|g' \
-	-e 's|@shellcompsource@|$(shellcompsource)|g' \
