## modules 5.3.1

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 endif
 include Makefile.inc
 
-INSTALL_PREREQ := modulecmd.tcl ChangeLog README script/add.modules \
+INSTALL_PREREQ := modulecmd.tcl ChangeLog.gz README script/add.modules \
 	script/modulecmd
 ifeq ($(COVERAGE),y)
 TEST_PREREQ := $(MODULECMDTEST)_i $(NAGELFAR)
@@ -418,4 +418,3 @@
 	-e 's|@libtclenvmodules@|$(setlibtclenvmodules)|g' \
 	-e 's|@SHLIB_SUFFIX@|$(SHLIB_SUFFIX)|g' \
 	-e 's|@multilibsupport@|$(setmultilibsupport)|g' \
-	-e 's|@notmultilibsupport@|$(setnotmultilibsupport)|g' \
