=== debian/changelog ===
modules (5.3.1-1) unstable; urgency=medium

  * New upstream release
    - patches rebased

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Jul 2023 11:02:56 +0100
