## modules 5.4.0

=== Makefile ===
--- 
+++ 
@@ -327,6 +327,18 @@
   setadvversspec := 1
 else
   setadvversspec := 0
+endif
+
+ifeq ($(uniquenameloaded),y)
+  setuniquenameloaded := 1
+else
+  setuniquenameloaded := 0
+endif
+
+ifeq ($(sourcecache),y)
+  setsourcecache := 1
+else
+  setsourcecache := 0
 endif
 
 ifeq ($(ml),y)
@@ -395,12 +407,16 @@
 	-e 's|@implicitdefault@|$(setimplicitdefault)|g' \
 	-e 's|@extendeddefault@|$(setextendeddefault)|g' \
 	-e 's|@advversspec@|$(setadvversspec)|g' \
+	-e 's|@uniquenameloaded@|$(setuniquenameloaded)|g' \
+	-e 's|@sourcecache@|$(setsourcecache)|g' \
 	-e 's|@searchmatch@|$(searchmatch)|g' \
 	-e 's|@wa277@|$(setwa277)|g' \
 	-e 's|@icase@|$(icase)|g' \
 	-e 's|@nearlyforbiddendays@|$(nearlyforbiddendays)|g' \
 	-e 's|@tagabbrev@|$(tagabbrev)|g' \
 	-e 's|@tagcolorname@|$(tagcolorname)|g' \
+	-e 's|@stickypurge@|$(stickypurge)|g' \
+	-e 's|@abortonerror@|$(abortonerror)|g' \
 	-e 's|@availoutput@|$(availoutput)|g' \
 	-e 's|@availterseoutput@|$(availterseoutput)|g' \
 	-e 's|@listoutput@|$(listoutput)|g' \
@@ -412,9 +428,3 @@
 	-e 's|@availindepth@|$(setavailindepth)|g' \
 	-e 's|@silentshdbgsupport@|$(setsilentshdbgsupport)|g' \
 	-e 's|@ml@|$(setml)|g' \
-	-e 's|@setshellstartup@|$(setsetshellstartup)|g' \
-	-e 's|@mcookieversioncheck@|$(setmcookieversioncheck)|g' \
-	-e 's|@quarantinesupport@|$(setquarantinesupport)|g' \
-	-e 's|@libtclenvmodules@|$(setlibtclenvmodules)|g' \
-	-e 's|@SHLIB_SUFFIX@|$(SHLIB_SUFFIX)|g' \
-	-e 's|@multilibsupport@|$(setmultilibsupport)|g' \
