=== debian/changelog ===
modules (5.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Feb 2024 08:17:49 +0000
